close
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Technology

The Technology endpoint allows you to view information about technology identified on your attack surface.

Get a summary of technology that was identified.

GET https://api.halosecurity.com/api/v1/technology/summary.json

{
    "request": {
        "target_count": 33,
        "sort": "1"
    },
    "pagination": {
        "total": 23,
        "start": 0,
        "limit": 100
    },
    "list": [
        {
            "count_instance": 7,
            "count_target": [],
            "technology": {
                "name": "Google Analytics",
                "id": 1
            }
        },
        {
            "count_instance": 10,
            "count_target": [],
            "technology": {
                "name": "Nginx",
                "id": 486
            }
        }
    ]
}

List technology that was identified along with versions and risk.

GET https://api.halosecurity.com/api/v1/technology/list.json

Get information about a specific technology that was found.

GET https://api.halosecurity.com/api/v1/technology/get.json

Query Parameters

Name
Type
Description

id*

Integer

Last updated